Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fe8e:c000::/20
First address
fe8e:c000::
Last address
fe8e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fe8e:c000:0000:0000:0000:0000:0000:0000
Type
Link-local fe80::/10
Every IPv6 interface has one; not routed
Reverse DNS zone
c.e.8.e.f.ip6.arpa
Split into smaller subnets/36

fe8e:c000::/20 makes 65,536 subnets of /36; the first 256 are listed.

Subnets
#SubnetLast address
1fe8e:c000::/36fe8e:c000:fff:ffff:ffff:ffff:ffff:ffff
2fe8e:c000:1000::/36fe8e:c000:1fff:ffff:ffff:ffff:ffff:ffff
3fe8e:c000:2000::/36fe8e:c000:2fff:ffff:ffff:ffff:ffff:ffff
4fe8e:c000:3000::/36fe8e:c000:3fff:ffff:ffff:ffff:ffff:ffff
5fe8e:c000:4000::/36fe8e:c000:4fff:ffff:ffff:ffff:ffff:ffff
6fe8e:c000:5000::/36fe8e:c000:5fff:ffff:ffff:ffff:ffff:ffff
7fe8e:c000:6000::/36fe8e:c000:6fff:ffff:ffff:ffff:ffff:ffff
8fe8e:c000:7000::/36fe8e:c000:7fff:ffff:ffff:ffff:ffff:ffff
9fe8e:c000:8000::/36fe8e:c000:8fff:ffff:ffff:ffff:ffff:ffff
10fe8e:c000:9000::/36fe8e:c000:9fff:ffff:ffff:ffff:ffff:ffff
11fe8e:c000:a000::/36fe8e:c000:afff:ffff:ffff:ffff:ffff:ffff
12fe8e:c000:b000::/36fe8e:c000:bfff:ffff:ffff:ffff:ffff:ffff
13fe8e:c000:c000::/36fe8e:c000:cfff:ffff:ffff:ffff:ffff:ffff
14fe8e:c000:d000::/36fe8e:c000:dfff:ffff:ffff:ffff:ffff:ffff
15fe8e:c000:e000::/36fe8e:c000:efff:ffff:ffff:ffff:ffff:ffff
16fe8e:c000:f000::/36fe8e:c000:ffff:ffff:ffff:ffff:ffff:ffff
17fe8e:c001::/36fe8e:c001:fff:ffff:ffff:ffff:ffff:ffff
18fe8e:c001:1000::/36fe8e:c001:1fff:ffff:ffff:ffff:ffff:ffff
19fe8e:c001:2000::/36fe8e:c001:2fff:ffff:ffff:ffff:ffff:ffff
20fe8e:c001:3000::/36fe8e:c001:3fff:ffff:ffff:ffff:ffff:ffff
21fe8e:c001:4000::/36fe8e:c001:4fff:ffff:ffff:ffff:ffff:ffff
22fe8e:c001:5000::/36fe8e:c001:5fff:ffff:ffff:ffff:ffff:ffff
23fe8e:c001:6000::/36fe8e:c001:6fff:ffff:ffff:ffff:ffff:ffff
24fe8e:c001:7000::/36fe8e:c001:7fff:ffff:ffff:ffff:ffff:ffff
25fe8e:c001:8000::/36fe8e:c001:8fff:ffff:ffff:ffff:ffff:ffff
26fe8e:c001:9000::/36fe8e:c001:9fff:ffff:ffff:ffff:ffff:ffff
27fe8e:c001:a000::/36fe8e:c001:afff:ffff:ffff:ffff:ffff:ffff
28fe8e:c001:b000::/36fe8e:c001:bfff:ffff:ffff:ffff:ffff:ffff
29fe8e:c001:c000::/36fe8e:c001:cfff:ffff:ffff:ffff:ffff:ffff
30fe8e:c001:d000::/36fe8e:c001:dfff:ffff:ffff:ffff:ffff:ffff
31fe8e:c001:e000::/36fe8e:c001:efff:ffff:ffff:ffff:ffff:ffff
32fe8e:c001:f000::/36fe8e:c001:ffff:ffff:ffff:ffff:ffff:ffff
33fe8e:c002::/36fe8e:c002:fff:ffff:ffff:ffff:ffff:ffff
34fe8e:c002:1000::/36fe8e:c002:1fff:ffff:ffff:ffff:ffff:ffff
35fe8e:c002:2000::/36fe8e:c002:2fff:ffff:ffff:ffff:ffff:ffff
36fe8e:c002:3000::/36fe8e:c002:3fff:ffff:ffff:ffff:ffff:ffff
37fe8e:c002:4000::/36fe8e:c002:4fff:ffff:ffff:ffff:ffff:ffff
38fe8e:c002:5000::/36fe8e:c002:5fff:ffff:ffff:ffff:ffff:ffff
39fe8e:c002:6000::/36fe8e:c002:6fff:ffff:ffff:ffff:ffff:ffff
40fe8e:c002:7000::/36fe8e:c002:7fff:ffff:ffff:ffff:ffff:ffff
41fe8e:c002:8000::/36fe8e:c002:8fff:ffff:ffff:ffff:ffff:ffff
42fe8e:c002:9000::/36fe8e:c002:9fff:ffff:ffff:ffff:ffff:ffff
43fe8e:c002:a000::/36fe8e:c002:afff:ffff:ffff:ffff:ffff:ffff
44fe8e:c002:b000::/36fe8e:c002:bfff:ffff:ffff:ffff:ffff:ffff
45fe8e:c002:c000::/36fe8e:c002:cfff:ffff:ffff:ffff:ffff:ffff
46fe8e:c002:d000::/36fe8e:c002:dfff:ffff:ffff:ffff:ffff:ffff
47fe8e:c002:e000::/36fe8e:c002:efff:ffff:ffff:ffff:ffff:ffff
48fe8e:c002:f000::/36fe8e:c002:ffff:ffff:ffff:ffff:ffff:ffff
49fe8e:c003::/36fe8e:c003:fff:ffff:ffff:ffff:ffff:ffff
50fe8e:c003:1000::/36fe8e:c003:1fff:ffff:ffff:ffff:ffff:ffff
51fe8e:c003:2000::/36fe8e:c003:2fff:ffff:ffff:ffff:ffff:ffff
52fe8e:c003:3000::/36fe8e:c003:3fff:ffff:ffff:ffff:ffff:ffff
53fe8e:c003:4000::/36fe8e:c003:4fff:ffff:ffff:ffff:ffff:ffff
54fe8e:c003:5000::/36fe8e:c003:5fff:ffff:ffff:ffff:ffff:ffff
55fe8e:c003:6000::/36fe8e:c003:6fff:ffff:ffff:ffff:ffff:ffff
56fe8e:c003:7000::/36fe8e:c003:7fff:ffff:ffff:ffff:ffff:ffff
57fe8e:c003:8000::/36fe8e:c003:8fff:ffff:ffff:ffff:ffff:ffff
58fe8e:c003:9000::/36fe8e:c003:9fff:ffff:ffff:ffff:ffff:ffff
59fe8e:c003:a000::/36fe8e:c003:afff:ffff:ffff:ffff:ffff:ffff
60fe8e:c003:b000::/36fe8e:c003:bfff:ffff:ffff:ffff:ffff:ffff
61fe8e:c003:c000::/36fe8e:c003:cfff:ffff:ffff:ffff:ffff:ffff
62fe8e:c003:d000::/36fe8e:c003:dfff:ffff:ffff:ffff:ffff:ffff
63fe8e:c003:e000::/36fe8e:c003:efff:ffff:ffff:ffff:ffff:ffff
64fe8e:c003:f000::/36fe8e:c003:ffff:ffff:ffff:ffff:ffff:ffff
65fe8e:c004::/36fe8e:c004:fff:ffff:ffff:ffff:ffff:ffff
66fe8e:c004:1000::/36fe8e:c004:1fff:ffff:ffff:ffff:ffff:ffff
67fe8e:c004:2000::/36fe8e:c004:2fff:ffff:ffff:ffff:ffff:ffff
68fe8e:c004:3000::/36fe8e:c004:3fff:ffff:ffff:ffff:ffff:ffff
69fe8e:c004:4000::/36fe8e:c004:4fff:ffff:ffff:ffff:ffff:ffff
70fe8e:c004:5000::/36fe8e:c004:5fff:ffff:ffff:ffff:ffff:ffff
71fe8e:c004:6000::/36fe8e:c004:6fff:ffff:ffff:ffff:ffff:ffff
72fe8e:c004:7000::/36fe8e:c004:7fff:ffff:ffff:ffff:ffff:ffff
73fe8e:c004:8000::/36fe8e:c004:8fff:ffff:ffff:ffff:ffff:ffff
74fe8e:c004:9000::/36fe8e:c004:9fff:ffff:ffff:ffff:ffff:ffff
75fe8e:c004:a000::/36fe8e:c004:afff:ffff:ffff:ffff:ffff:ffff
76fe8e:c004:b000::/36fe8e:c004:bfff:ffff:ffff:ffff:ffff:ffff
77fe8e:c004:c000::/36fe8e:c004:cfff:ffff:ffff:ffff:ffff:ffff
78fe8e:c004:d000::/36fe8e:c004:dfff:ffff:ffff:ffff:ffff:ffff
79fe8e:c004:e000::/36fe8e:c004:efff:ffff:ffff:ffff:ffff:ffff
80fe8e:c004:f000::/36fe8e:c004:ffff:ffff:ffff:ffff:ffff:ffff
81fe8e:c005::/36fe8e:c005:fff:ffff:ffff:ffff:ffff:ffff
82fe8e:c005:1000::/36fe8e:c005:1fff:ffff:ffff:ffff:ffff:ffff
83fe8e:c005:2000::/36fe8e:c005:2fff:ffff:ffff:ffff:ffff:ffff
84fe8e:c005:3000::/36fe8e:c005:3fff:ffff:ffff:ffff:ffff:ffff
85fe8e:c005:4000::/36fe8e:c005:4fff:ffff:ffff:ffff:ffff:ffff
86fe8e:c005:5000::/36fe8e:c005:5fff:ffff:ffff:ffff:ffff:ffff
87fe8e:c005:6000::/36fe8e:c005:6fff:ffff:ffff:ffff:ffff:ffff
88fe8e:c005:7000::/36fe8e:c005:7fff:ffff:ffff:ffff:ffff:ffff
89fe8e:c005:8000::/36fe8e:c005:8fff:ffff:ffff:ffff:ffff:ffff
90fe8e:c005:9000::/36fe8e:c005:9fff:ffff:ffff:ffff:ffff:ffff
91fe8e:c005:a000::/36fe8e:c005:afff:ffff:ffff:ffff:ffff:ffff
92fe8e:c005:b000::/36fe8e:c005:bfff:ffff:ffff:ffff:ffff:ffff
93fe8e:c005:c000::/36fe8e:c005:cfff:ffff:ffff:ffff:ffff:ffff
94fe8e:c005:d000::/36fe8e:c005:dfff:ffff:ffff:ffff:ffff:ffff
95fe8e:c005:e000::/36fe8e:c005:efff:ffff:ffff:ffff:ffff:ffff
96fe8e:c005:f000::/36fe8e:c005:ffff:ffff:ffff:ffff:ffff:ffff
97fe8e:c006::/36fe8e:c006:fff:ffff:ffff:ffff:ffff:ffff
98fe8e:c006:1000::/36fe8e:c006:1fff:ffff:ffff:ffff:ffff:ffff
99fe8e:c006:2000::/36fe8e:c006:2fff:ffff:ffff:ffff:ffff:ffff
100fe8e:c006:3000::/36fe8e:c006:3fff:ffff:ffff:ffff:ffff:ffff
101fe8e:c006:4000::/36fe8e:c006:4fff:ffff:ffff:ffff:ffff:ffff
102fe8e:c006:5000::/36fe8e:c006:5fff:ffff:ffff:ffff:ffff:ffff
103fe8e:c006:6000::/36fe8e:c006:6fff:ffff:ffff:ffff:ffff:ffff
104fe8e:c006:7000::/36fe8e:c006:7fff:ffff:ffff:ffff:ffff:ffff
105fe8e:c006:8000::/36fe8e:c006:8fff:ffff:ffff:ffff:ffff:ffff
106fe8e:c006:9000::/36fe8e:c006:9fff:ffff:ffff:ffff:ffff:ffff
107fe8e:c006:a000::/36fe8e:c006:afff:ffff:ffff:ffff:ffff:ffff
108fe8e:c006:b000::/36fe8e:c006:bfff:ffff:ffff:ffff:ffff:ffff
109fe8e:c006:c000::/36fe8e:c006:cfff:ffff:ffff:ffff:ffff:ffff
110fe8e:c006:d000::/36fe8e:c006:dfff:ffff:ffff:ffff:ffff:ffff
111fe8e:c006:e000::/36fe8e:c006:efff:ffff:ffff:ffff:ffff:ffff
112fe8e:c006:f000::/36fe8e:c006:ffff:ffff:ffff:ffff:ffff:ffff
113fe8e:c007::/36fe8e:c007:fff:ffff:ffff:ffff:ffff:ffff
114fe8e:c007:1000::/36fe8e:c007:1fff:ffff:ffff:ffff:ffff:ffff
115fe8e:c007:2000::/36fe8e:c007:2fff:ffff:ffff:ffff:ffff:ffff
116fe8e:c007:3000::/36fe8e:c007:3fff:ffff:ffff:ffff:ffff:ffff
117fe8e:c007:4000::/36fe8e:c007:4fff:ffff:ffff:ffff:ffff:ffff
118fe8e:c007:5000::/36fe8e:c007:5fff:ffff:ffff:ffff:ffff:ffff
119fe8e:c007:6000::/36fe8e:c007:6fff:ffff:ffff:ffff:ffff:ffff
120fe8e:c007:7000::/36fe8e:c007:7fff:ffff:ffff:ffff:ffff:ffff
121fe8e:c007:8000::/36fe8e:c007:8fff:ffff:ffff:ffff:ffff:ffff
122fe8e:c007:9000::/36fe8e:c007:9fff:ffff:ffff:ffff:ffff:ffff
123fe8e:c007:a000::/36fe8e:c007:afff:ffff:ffff:ffff:ffff:ffff
124fe8e:c007:b000::/36fe8e:c007:bfff:ffff:ffff:ffff:ffff:ffff
125fe8e:c007:c000::/36fe8e:c007:cfff:ffff:ffff:ffff:ffff:ffff
126fe8e:c007:d000::/36fe8e:c007:dfff:ffff:ffff:ffff:ffff:ffff
127fe8e:c007:e000::/36fe8e:c007:efff:ffff:ffff:ffff:ffff:ffff
128fe8e:c007:f000::/36fe8e:c007:ffff:ffff:ffff:ffff:ffff:ffff
129fe8e:c008::/36fe8e:c008:fff:ffff:ffff:ffff:ffff:ffff
130fe8e:c008:1000::/36fe8e:c008:1fff:ffff:ffff:ffff:ffff:ffff
131fe8e:c008:2000::/36fe8e:c008:2fff:ffff:ffff:ffff:ffff:ffff
132fe8e:c008:3000::/36fe8e:c008:3fff:ffff:ffff:ffff:ffff:ffff
133fe8e:c008:4000::/36fe8e:c008:4fff:ffff:ffff:ffff:ffff:ffff
134fe8e:c008:5000::/36fe8e:c008:5fff:ffff:ffff:ffff:ffff:ffff
135fe8e:c008:6000::/36fe8e:c008:6fff:ffff:ffff:ffff:ffff:ffff
136fe8e:c008:7000::/36fe8e:c008:7fff:ffff:ffff:ffff:ffff:ffff
137fe8e:c008:8000::/36fe8e:c008:8fff:ffff:ffff:ffff:ffff:ffff
138fe8e:c008:9000::/36fe8e:c008:9fff:ffff:ffff:ffff:ffff:ffff
139fe8e:c008:a000::/36fe8e:c008:afff:ffff:ffff:ffff:ffff:ffff
140fe8e:c008:b000::/36fe8e:c008:bfff:ffff:ffff:ffff:ffff:ffff
141fe8e:c008:c000::/36fe8e:c008:cfff:ffff:ffff:ffff:ffff:ffff
142fe8e:c008:d000::/36fe8e:c008:dfff:ffff:ffff:ffff:ffff:ffff
143fe8e:c008:e000::/36fe8e:c008:efff:ffff:ffff:ffff:ffff:ffff
144fe8e:c008:f000::/36fe8e:c008:ffff:ffff:ffff:ffff:ffff:ffff
145fe8e:c009::/36fe8e:c009:fff:ffff:ffff:ffff:ffff:ffff
146fe8e:c009:1000::/36fe8e:c009:1fff:ffff:ffff:ffff:ffff:ffff
147fe8e:c009:2000::/36fe8e:c009:2fff:ffff:ffff:ffff:ffff:ffff
148fe8e:c009:3000::/36fe8e:c009:3fff:ffff:ffff:ffff:ffff:ffff
149fe8e:c009:4000::/36fe8e:c009:4fff:ffff:ffff:ffff:ffff:ffff
150fe8e:c009:5000::/36fe8e:c009:5fff:ffff:ffff:ffff:ffff:ffff
151fe8e:c009:6000::/36fe8e:c009:6fff:ffff:ffff:ffff:ffff:ffff
152fe8e:c009:7000::/36fe8e:c009:7fff:ffff:ffff:ffff:ffff:ffff
153fe8e:c009:8000::/36fe8e:c009:8fff:ffff:ffff:ffff:ffff:ffff
154fe8e:c009:9000::/36fe8e:c009:9fff:ffff:ffff:ffff:ffff:ffff
155fe8e:c009:a000::/36fe8e:c009:afff:ffff:ffff:ffff:ffff:ffff
156fe8e:c009:b000::/36fe8e:c009:bfff:ffff:ffff:ffff:ffff:ffff
157fe8e:c009:c000::/36fe8e:c009:cfff:ffff:ffff:ffff:ffff:ffff
158fe8e:c009:d000::/36fe8e:c009:dfff:ffff:ffff:ffff:ffff:ffff
159fe8e:c009:e000::/36fe8e:c009:efff:ffff:ffff:ffff:ffff:ffff
160fe8e:c009:f000::/36fe8e:c009:ffff:ffff:ffff:ffff:ffff:ffff
161fe8e:c00a::/36fe8e:c00a:fff:ffff:ffff:ffff:ffff:ffff
162fe8e:c00a:1000::/36fe8e:c00a:1fff:ffff:ffff:ffff:ffff:ffff
163fe8e:c00a:2000::/36fe8e:c00a:2fff:ffff:ffff:ffff:ffff:ffff
164fe8e:c00a:3000::/36fe8e:c00a:3fff:ffff:ffff:ffff:ffff:ffff
165fe8e:c00a:4000::/36fe8e:c00a:4fff:ffff:ffff:ffff:ffff:ffff
166fe8e:c00a:5000::/36fe8e:c00a:5fff:ffff:ffff:ffff:ffff:ffff
167fe8e:c00a:6000::/36fe8e:c00a:6fff:ffff:ffff:ffff:ffff:ffff
168fe8e:c00a:7000::/36fe8e:c00a:7fff:ffff:ffff:ffff:ffff:ffff
169fe8e:c00a:8000::/36fe8e:c00a:8fff:ffff:ffff:ffff:ffff:ffff
170fe8e:c00a:9000::/36fe8e:c00a:9fff:ffff:ffff:ffff:ffff:ffff
171fe8e:c00a:a000::/36fe8e:c00a:afff:ffff:ffff:ffff:ffff:ffff
172fe8e:c00a:b000::/36fe8e:c00a:bfff:ffff:ffff:ffff:ffff:ffff
173fe8e:c00a:c000::/36fe8e:c00a:cfff:ffff:ffff:ffff:ffff:ffff
174fe8e:c00a:d000::/36fe8e:c00a:dfff:ffff:ffff:ffff:ffff:ffff
175fe8e:c00a:e000::/36fe8e:c00a:efff:ffff:ffff:ffff:ffff:ffff
176fe8e:c00a:f000::/36fe8e:c00a:ffff:ffff:ffff:ffff:ffff:ffff
177fe8e:c00b::/36fe8e:c00b:fff:ffff:ffff:ffff:ffff:ffff
178fe8e:c00b:1000::/36fe8e:c00b:1fff:ffff:ffff:ffff:ffff:ffff
179fe8e:c00b:2000::/36fe8e:c00b:2fff:ffff:ffff:ffff:ffff:ffff
180fe8e:c00b:3000::/36fe8e:c00b:3fff:ffff:ffff:ffff:ffff:ffff
181fe8e:c00b:4000::/36fe8e:c00b:4fff:ffff:ffff:ffff:ffff:ffff
182fe8e:c00b:5000::/36fe8e:c00b:5fff:ffff:ffff:ffff:ffff:ffff
183fe8e:c00b:6000::/36fe8e:c00b:6fff:ffff:ffff:ffff:ffff:ffff
184fe8e:c00b:7000::/36fe8e:c00b:7fff:ffff:ffff:ffff:ffff:ffff
185fe8e:c00b:8000::/36fe8e:c00b:8fff:ffff:ffff:ffff:ffff:ffff
186fe8e:c00b:9000::/36fe8e:c00b:9fff:ffff:ffff:ffff:ffff:ffff
187fe8e:c00b:a000::/36fe8e:c00b:afff:ffff:ffff:ffff:ffff:ffff
188fe8e:c00b:b000::/36fe8e:c00b:bfff:ffff:ffff:ffff:ffff:ffff
189fe8e:c00b:c000::/36fe8e:c00b:cfff:ffff:ffff:ffff:ffff:ffff
190fe8e:c00b:d000::/36fe8e:c00b:dfff:ffff:ffff:ffff:ffff:ffff
191fe8e:c00b:e000::/36fe8e:c00b:efff:ffff:ffff:ffff:ffff:ffff
192fe8e:c00b:f000::/36fe8e:c00b:ffff:ffff:ffff:ffff:ffff:ffff
193fe8e:c00c::/36fe8e:c00c:fff:ffff:ffff:ffff:ffff:ffff
194fe8e:c00c:1000::/36fe8e:c00c:1fff:ffff:ffff:ffff:ffff:ffff
195fe8e:c00c:2000::/36fe8e:c00c:2fff:ffff:ffff:ffff:ffff:ffff
196fe8e:c00c:3000::/36fe8e:c00c:3fff:ffff:ffff:ffff:ffff:ffff
197fe8e:c00c:4000::/36fe8e:c00c:4fff:ffff:ffff:ffff:ffff:ffff
198fe8e:c00c:5000::/36fe8e:c00c:5fff:ffff:ffff:ffff:ffff:ffff
199fe8e:c00c:6000::/36fe8e:c00c:6fff:ffff:ffff:ffff:ffff:ffff
200fe8e:c00c:7000::/36fe8e:c00c:7fff:ffff:ffff:ffff:ffff:ffff
201fe8e:c00c:8000::/36fe8e:c00c:8fff:ffff:ffff:ffff:ffff:ffff
202fe8e:c00c:9000::/36fe8e:c00c:9fff:ffff:ffff:ffff:ffff:ffff
203fe8e:c00c:a000::/36fe8e:c00c:afff:ffff:ffff:ffff:ffff:ffff
204fe8e:c00c:b000::/36fe8e:c00c:bfff:ffff:ffff:ffff:ffff:ffff
205fe8e:c00c:c000::/36fe8e:c00c:cfff:ffff:ffff:ffff:ffff:ffff
206fe8e:c00c:d000::/36fe8e:c00c:dfff:ffff:ffff:ffff:ffff:ffff
207fe8e:c00c:e000::/36fe8e:c00c:efff:ffff:ffff:ffff:ffff:ffff
208fe8e:c00c:f000::/36fe8e:c00c:ffff:ffff:ffff:ffff:ffff:ffff
209fe8e:c00d::/36fe8e:c00d:fff:ffff:ffff:ffff:ffff:ffff
210fe8e:c00d:1000::/36fe8e:c00d:1fff:ffff:ffff:ffff:ffff:ffff
211fe8e:c00d:2000::/36fe8e:c00d:2fff:ffff:ffff:ffff:ffff:ffff
212fe8e:c00d:3000::/36fe8e:c00d:3fff:ffff:ffff:ffff:ffff:ffff
213fe8e:c00d:4000::/36fe8e:c00d:4fff:ffff:ffff:ffff:ffff:ffff
214fe8e:c00d:5000::/36fe8e:c00d:5fff:ffff:ffff:ffff:ffff:ffff
215fe8e:c00d:6000::/36fe8e:c00d:6fff:ffff:ffff:ffff:ffff:ffff
216fe8e:c00d:7000::/36fe8e:c00d:7fff:ffff:ffff:ffff:ffff:ffff
217fe8e:c00d:8000::/36fe8e:c00d:8fff:ffff:ffff:ffff:ffff:ffff
218fe8e:c00d:9000::/36fe8e:c00d:9fff:ffff:ffff:ffff:ffff:ffff
219fe8e:c00d:a000::/36fe8e:c00d:afff:ffff:ffff:ffff:ffff:ffff
220fe8e:c00d:b000::/36fe8e:c00d:bfff:ffff:ffff:ffff:ffff:ffff
221fe8e:c00d:c000::/36fe8e:c00d:cfff:ffff:ffff:ffff:ffff:ffff
222fe8e:c00d:d000::/36fe8e:c00d:dfff:ffff:ffff:ffff:ffff:ffff
223fe8e:c00d:e000::/36fe8e:c00d:efff:ffff:ffff:ffff:ffff:ffff
224fe8e:c00d:f000::/36fe8e:c00d:ffff:ffff:ffff:ffff:ffff:ffff
225fe8e:c00e::/36fe8e:c00e:fff:ffff:ffff:ffff:ffff:ffff
226fe8e:c00e:1000::/36fe8e:c00e:1fff:ffff:ffff:ffff:ffff:ffff
227fe8e:c00e:2000::/36fe8e:c00e:2fff:ffff:ffff:ffff:ffff:ffff
228fe8e:c00e:3000::/36fe8e:c00e:3fff:ffff:ffff:ffff:ffff:ffff
229fe8e:c00e:4000::/36fe8e:c00e:4fff:ffff:ffff:ffff:ffff:ffff
230fe8e:c00e:5000::/36fe8e:c00e:5fff:ffff:ffff:ffff:ffff:ffff
231fe8e:c00e:6000::/36fe8e:c00e:6fff:ffff:ffff:ffff:ffff:ffff
232fe8e:c00e:7000::/36fe8e:c00e:7fff:ffff:ffff:ffff:ffff:ffff
233fe8e:c00e:8000::/36fe8e:c00e:8fff:ffff:ffff:ffff:ffff:ffff
234fe8e:c00e:9000::/36fe8e:c00e:9fff:ffff:ffff:ffff:ffff:ffff
235fe8e:c00e:a000::/36fe8e:c00e:afff:ffff:ffff:ffff:ffff:ffff
236fe8e:c00e:b000::/36fe8e:c00e:bfff:ffff:ffff:ffff:ffff:ffff
237fe8e:c00e:c000::/36fe8e:c00e:cfff:ffff:ffff:ffff:ffff:ffff
238fe8e:c00e:d000::/36fe8e:c00e:dfff:ffff:ffff:ffff:ffff:ffff
239fe8e:c00e:e000::/36fe8e:c00e:efff:ffff:ffff:ffff:ffff:ffff
240fe8e:c00e:f000::/36fe8e:c00e:ffff:ffff:ffff:ffff:ffff:ffff
241fe8e:c00f::/36fe8e:c00f:fff:ffff:ffff:ffff:ffff:ffff
242fe8e:c00f:1000::/36fe8e:c00f:1fff:ffff:ffff:ffff:ffff:ffff
243fe8e:c00f:2000::/36fe8e:c00f:2fff:ffff:ffff:ffff:ffff:ffff
244fe8e:c00f:3000::/36fe8e:c00f:3fff:ffff:ffff:ffff:ffff:ffff
245fe8e:c00f:4000::/36fe8e:c00f:4fff:ffff:ffff:ffff:ffff:ffff
246fe8e:c00f:5000::/36fe8e:c00f:5fff:ffff:ffff:ffff:ffff:ffff
247fe8e:c00f:6000::/36fe8e:c00f:6fff:ffff:ffff:ffff:ffff:ffff
248fe8e:c00f:7000::/36fe8e:c00f:7fff:ffff:ffff:ffff:ffff:ffff
249fe8e:c00f:8000::/36fe8e:c00f:8fff:ffff:ffff:ffff:ffff:ffff
250fe8e:c00f:9000::/36fe8e:c00f:9fff:ffff:ffff:ffff:ffff:ffff
251fe8e:c00f:a000::/36fe8e:c00f:afff:ffff:ffff:ffff:ffff:ffff
252fe8e:c00f:b000::/36fe8e:c00f:bfff:ffff:ffff:ffff:ffff:ffff
253fe8e:c00f:c000::/36fe8e:c00f:cfff:ffff:ffff:ffff:ffff:ffff
254fe8e:c00f:d000::/36fe8e:c00f:dfff:ffff:ffff:ffff:ffff:ffff
255fe8e:c00f:e000::/36fe8e:c00f:efff:ffff:ffff:ffff:ffff:ffff
256fe8e:c00f:f000::/36fe8e:c00f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses